com.gisgraphy.importer.dto

## Class AssociatedStreetMember

- java.lang.Object
- - com.gisgraphy.importer.dto.AssociatedStreetMember

-     public class AssociatedStreetMember
      extends Object

  Represents a house number member in the Karlsruhe schema.
  Author:
    David Masclet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssociatedStreetMember()`
    `AssociatedStreetMember(String id, com.vividsolutions.jts.geom.Point location, String houseNumber, String name, String type, String role)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getHouseNumber()`
    `String` | `getId()`
    `com.vividsolutions.jts.geom.Point` | `getLocation()`
    `String` | `getRole()`
    `String` | `getStreetName()`
    `String` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isHouse()`
    `boolean` | `isStreet()`
    `void` | `setHouseNumber(String houseNumber)`
    `void` | `setId(String id)`
    `void` | `setLocation(com.vividsolutions.jts.geom.Point location)`
    `void` | `setRole(String role)`
    `void` | `setStreetName(String name)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssociatedStreetMember

          public AssociatedStreetMember()

    - #### AssociatedStreetMember

          public AssociatedStreetMember(String id,
                                com.vividsolutions.jts.geom.Point location,
                                String houseNumber,
                                String name,
                                String type,
                                String role)

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        the id

    - #### setId

          public void setId(String id)

      Parameters:
        `id` - the id to set

    - #### getLocation

          public com.vividsolutions.jts.geom.Point getLocation()

      Returns:
        the location

    - #### setLocation

          public void setLocation(com.vividsolutions.jts.geom.Point location)

      Parameters:
        `location` - the location to set

    - #### getRole

          public String getRole()

      Returns:
        the role

    - #### setRole

          public void setRole(String role)

      Parameters:
        `role` - the role to set

    - #### getType

          public String getType()

      Returns:
        the type

    - #### setType

          public void setType(String type)

      Parameters:
        `type` - the type to set

    - #### getHouseNumber

          public String getHouseNumber()

      Returns:
        the houseNumber

    - #### setHouseNumber

          public void setHouseNumber(String houseNumber)

      Parameters:
        `houseNumber` - the houseNumber to set

    - #### getStreetName

          public String getStreetName()

      Returns:
        the streetName

    - #### setStreetName

          public void setStreetName(String name)

      Parameters:
        `name` - the name to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### isStreet

          public boolean isStreet()

    - #### isHouse

          public boolean isHouse()

Copyright © 2015. All rights reserved.